﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace UCommerce.DemoStore.Controls
{
    using System.Web.UI;
    using UCommerce.Api;
    using UCommerce.EntitiesV2;
    using UCommerce.Runtime;
    using global::Sitecore.Web.UI;

	public class MenuControl : WebControl
    {
        private Category _currentCategory = SiteContext.Current.CatalogContext.CurrentCategory;

        private void RecursiveMenu(Category currentCategory, HtmlTextWriter output)
        {
            output.Write("<ul class=\"nav nav-list\">");
            if (_currentCategory != null && _currentCategory.Id == currentCategory.Id)
            {
                output.Write("<li class=\"on\">");
            }
            else
            {
                output.Write("<li>");
            }
            //output.Write("<a href=\"/category?category=" + currentCategory.Id + "\">" + currentCategory.Name + "</a>");
            output.Write("<a href=\"" + CatalogLibrary.GetNiceUrlForCategory(currentCategory) + "\">"+currentCategory.Name+"</a>");
            foreach(Category category in currentCategory.Categories)
            {
                RecursiveMenu(category, output);
            }
            output.Write("</li>");
            output.Write("</ul>");
        }

        protected override void DoRender(HtmlTextWriter output)
        {
            
            foreach(Category currentCategory in CatalogLibrary.GetRootCategories())
            {
                RecursiveMenu(currentCategory, output);
            }
           
        }
    }
}